| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
StratosharkFollowStreamDialog Class Reference

Dialog specifically for following streams in Stratoshark. More...

`#include <stratoshark_follow_stream_dialog.h>`

Inheritance diagram for StratosharkFollowStreamDialog:

## Public Member Functions
| StratosharkFollowStreamDialog (QWidget &parent, CaptureFile &cf, int proto_id, const QString &previous_filter)
| Constructs a new StratosharkFollowStreamDialog object.
virtual | ~StratosharkFollowStreamDialog ()
| Destroys the StratosharkFollowStreamDialog object.
Public Member Functions inherited from FollowStreamDialog
| FollowStreamDialog (QWidget &parent, CaptureFile &cf, int proto_id, const QString &previous_filter)
| Constructs a new FollowStreamDialog.
| ~FollowStreamDialog ()
| Destroys the FollowStreamDialog.
void | addCodecs (const QMap< QString, const char * > &codecMap)
| Adds a map of character encodings to the dialog's codec selection.
bool | follow (bool use_stream_index=false, unsigned stream_num=0, unsigned sub_stream_num=0)
| Initiates the stream following process.
Public Member Functions inherited from WiresharkDialog
| WiresharkDialog (QWidget &parent, CaptureFile &capture_file)
| Constructs a new WiresharkDialog object.
bool | fileClosed () const
| Checks if the capture file has been closed.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Protected Member Functions
virtual QString | labelHint (int pkt=0) override
| Generates a hint label for the stream.
virtual QString | serverToClientString () const override
| Retrieves the string representing the server-to-client direction.
virtual QString | clientToServerString () const override
| Retrieves the string representing the client-to-server direction.
virtual QString | bothDirectionsString () const override
| Retrieves the string representing both directions combined.
Protected Member Functions inherited from FollowStreamDialog
bool | eventFilter (QObject *obj, QEvent *event) override
| Filters events for the dialog text display.
void | keyPressEvent (QKeyEvent *event) override
| Handles key press events in the dialog.
void | endRetapPackets () override
| Called when retap is complete.
void | captureFileClosed () override
| Slot triggered when the underlying capture file is closed.
int | client_packet_count () const
| Gets the number of packets sent by the client.
int | server_packet_count () const
| Gets the number of packets sent by the server.
int | turns () const
| Gets the number of direction changes (turns) in the stream.
const follow_info_t & | followInfo () const
| Retrieves the core follow_info structure.
Protected Member Functions inherited from WiresharkDialog
virtual void | accept () override
| Accepts the dialog.
virtual void | reject () override
| Rejects the dialog.
virtual void | beginRetapPackets ()
| Mark the start of a code block that retaps packets. If the user closes the dialog while tapping, the dialog will not be destroyed until endRetapPackets is called.
void | setWindowSubtitle (const QString &subtitle)
| Set the window subtitle, e.g. "Foo Timeouts". The subtitle and file name will be added to the dialog window title.
const QString & | windowSubtitle ()
| Retrieves the current window subtitle.
bool | registerTapListener (const char *tap_name, void *tap_data, const char *filter, unsigned flags, tap_reset_cb tap_reset, tap_packet_cb tap_packet, tap_draw_cb tap_draw)
| Convenience wrapper for register_tap_listener. Tap listeners registered via this function are automatically removed during destruction. They can also be explicitly removed using remove_tap_listener or removeTapListeners.
virtual void | removeTapListeners ()
| Remove all tap listeners registered via registerTapListener.
bool | listening () const
bool | dialogClosed () const
| Check to see if the user has closed (and not minimized) the dialog.
int | retapDepth () const
| Check to see if we're currently retapping. If this is positive, tapping will fail in process_specified_records.
virtual void | captureFileClosing ()
| Called when the capture file is about to close. This can be used to disconnect taps and similar actions. updateWidgets() is called at the end. To enable/disable widgets captureFileClosed() is more suitable.
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.

## Additional Inherited Members
Signals inherited from FollowStreamDialog
void | updateFilter (QString filter, bool force)
| Signal emitted to update the main display filter.
void | goToPacket (int packet_num)
| Signal emitted to navigate to a specific packet in the main window.
Protected Slots inherited from WiresharkDialog
void | captureEvent (CaptureEvent e)
| Handles capture events.
Protected Attributes inherited from WiresharkDialog
CaptureFile & | cap_file_
| Reference to the underlying capture file.
bool | file_closed_
| Flag indicating if the capture file has been closed.

## Detailed Description

Dialog specifically for following streams in Stratoshark.

## Constructor & Destructor Documentation

## ◆ StratosharkFollowStreamDialog()

StratosharkFollowStreamDialog::StratosharkFollowStreamDialog | ( | QWidget & | parent,
|  | CaptureFile & | cf,
|  | int | proto_id,
|  | const QString & | previous_filter )
| explicit

Constructs a new StratosharkFollowStreamDialog object.

Parameters

  parent | The parent widget.
  cf | The capture file.
  proto_id | The protocol identifier to follow.
  previous_filter | The main display filter at time of creation

## Member Function Documentation

## ◆ bothDirectionsString()

QString StratosharkFollowStreamDialog::bothDirectionsString | ( |  | ) | const
| override protected virtual

Retrieves the string representing both directions combined.

Returns
  A QString containing the both directions text.

Reimplemented from FollowStreamDialog.

## ◆ clientToServerString()

QString StratosharkFollowStreamDialog::clientToServerString | ( |  | ) | const
| override protected virtual

Retrieves the string representing the client-to-server direction.

Returns
  A QString containing the client-to-server text.

Reimplemented from FollowStreamDialog.

## ◆ labelHint()

QString StratosharkFollowStreamDialog::labelHint | ( | int | pkt = 0 | ) |
| override protected virtual

Generates a hint label for the stream.

Parameters

  pkt | The packet number to base the hint on.

Returns
  A QString containing the generated label hint.

Reimplemented from FollowStreamDialog.

## ◆ serverToClientString()

QString StratosharkFollowStreamDialog::serverToClientString | ( |  | ) | const
| override protected virtual

Retrieves the string representing the server-to-client direction.

Returns
  A QString containing the server-to-client text.

Reimplemented from FollowStreamDialog.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/stratoshark/stratoshark_follow_stream_dialog.h
- /builds/wireshark/wireshark/ui/stratoshark/stratoshark_follow_stream_dialog.cpp